<?php
#Active CDR statistics :
$enable_record_to_cdr = false;


#Common Languages en variantes
#http://www.w3.org/International/articles/language-tags/
#
# language-Script-REGION-variant-extension-privateuse
#
#The entries in the registry follow certain conventions with regard to upper and 
#lowercasing - for example, language tags are lower case, alphabetic region subtags
#are upper case, and script tags begin with an initial capital. This is only a 
#convention! When you use these subtags you are free to do as you like.


#default tts engine is the first in this tts array :
$tts = array();

$tts['voicerss'] = array(
    "name"      => "voicerss",
    "call"      => "ttsvoicerss",
    "options"   => array(
        '"https://api.voicerss.org/"',
        '"API_KEY"',
        '$text',
        '$lang',
        '$iformat'
    ),
    "voices"    => array(
        'voice1' => array(
            'type'     => 'female',
            'desc'     => 'Female',
            'voptions' => array()
        ),
    ),
    "langcodes" => array(
        'en-gb' => array('voice1'),
        'en-us' => array('voice1'),
        'fr-fr' => array('voice1'),
        'fr-ca' => array('voice1'),
        'es-es' => array('voice1')
    ),
    "charsets"  => array('UTF-8'),
    #internal codecs and formats
    "codecs"    => array(
        'mp3' => 'mp3',
        'wav' => 'wav',
        'aac' => 'aac',
        'ogg' => 'ogg',
        'caf' => 'caf'
    ),

    "iformats"          => array('wav'),
    #which internal codecs and formats must be used to get good VXI formats
    "vxiformats"        => array('wav' => array('iformat' => 'wav', 'codec' => 'pcm')),
    "formatiscodec"     => false,
    "createlistfile"    => false,
    "directphpfunction" => true,
    "debugargs"         => "",
    "checks"            => array("ttsvoicerss", "curl_setopt"),
    "simexeclimit"      => "0",
);

# vim: set filetype=php expandtab tabstop=2 shiftwidth=2 autoindent smartindent:

